%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname deltacloud-client
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: Deltacloud REST Client
Name: rubygem-%{gemname}
Version: 0.5.0
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://www.deltacloud.org
Source0: http://people.apache.org/~lutter/deltacloud/%{version}/rc2/%{gemname}-%{version}.gem
Source1: deltacloud-client.gemspec
Patch1: 0001-Client-Added-core-504-to-list-of-catched-error-codes.patch
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: rubygem(rest-client) >= 1.4.0
Requires: rubygem(nokogiri)
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Deltacloud REST Client for API

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
gem unpack -V --target=%{_builddir} %{SOURCE0}
mv %{_builddir}/%{gemname}-%{version}/* %{_builddir}/%{name}-%{version}
pushd %{_builddir}/%{name}-%{version}
# Put patch commands here
%patch1 -p2
popd

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{geminstdir}
mkdir -p %{buildroot}%{gemdir}
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/deltacloudc <<EOF
#!/usr/bin/ruby
require 'rubygems'

version = ">= 0"

if ARGV.first =~ /^_(.*)_$/ and Gem::Version.correct? $1 then
  version = $1
  ARGV.shift
end

gem 'deltacloud-client', version
load Gem.bin_path('deltacloud-client', 'deltacloudc', version)
EOF
chmod 0755 %{buildroot}%{_bindir}/deltacloudc
cp -r %{_builddir}/%{name}-%{version}/* %{buildroot}%{geminstdir}/
rdoc --quiet --op %{buildroot}%{_defaultdocdir}/%{name}
mkdir -p %{buildroot}/%{gemdir}/specifications
cp %{SOURCE1} %{buildroot}/%{gemdir}/specifications/%{gemname}-%{version}.gemspec
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod 0755

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{geminstdir}
%{geminstdir}/bin
%{geminstdir}/lib
%{_bindir}/deltacloudc
%doc %{geminstdir}/LICENSE
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root)
%{_defaultdocdir}/%{name}
%{geminstdir}/specs
%{geminstdir}/Rakefile
%{geminstdir}/DISCLAIMER
%{geminstdir}/NOTICE

%changelog
* Wed Feb 10 2012 Michal Fojtik <mfojtik@redhat.com> - 0.5.0-1
- Version bump to 0.5.0 GA

* Wed Feb 1 2012 Michal Fojtik <mfojtik@redhat.com> - 0.5.0-1.rc2
- Version bump to 0.5.0-rc2

* Thu Sep 29 2011 Richard Su <rwsu@redhat.com> - 0.4.0-3
- Added patch to ensure features and entrypoints are reset when driver is switched

* Mon Sep 19 2011 Michal Fojtik <mfojtik@redhat.com> - 0.4.0-1
- Version bump
- Added patch to fix incorrect hardware properties handling for architecture property

* Thu Jun 16 2011 Michal Fojtik <mfojtik@redhat.com> - 0.3.1-1
- Version bump

* Thu May 05 2011 Michal Fojtik <mfojtik@redhat.com> - 0.3.0-1
- Version bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 Michal Fojtik <mfojtik@redhat.com> - 0.1.1-1
- Version bump

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.1.0-2
- Fixed rest-client versioning

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.1.0-1
- Version bump

* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.0.9.8-1
- Initial package
